/* crypto/bf/bf_pi.h */
/* Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 * 
 * This library is free for commercial and non-commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 * 
 * Copyright remains Eric Young's, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    "This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)"
 *    The word 'cryptographic' can be left out if the rouines from the library
 *    being used are not cryptographic related :-).
 * 4. If you include any Windows specific code (or a derivative thereof) from 
 *    the apps directory (application code) you must include an acknowledgement:
 *    "This product includes software written by Tim Hudson (tjh@cryptsoft.com)"
 * 
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * 
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */

/*
static unsigned long bf_init[]= {
	0x243f6a88L, 0x85a308d3L, 0x13198a2eL, 0x03707344L,
	0xa4093822L, 0x299f31d0L, 0x082efa98L, 0xec4e6c89L,
	0x452821e6L, 0x38d01377L, 0xbe5466cfL, 0x34e90c6cL,
	0xc0ac29b7L, 0xc97c50ddL, 0x3f84d5b5L, 0xb5470917L,
	0x9216d5d9L, 0x8979fb1b
	}; */

static unsigned char bf_init[] = {
	0x88, 0x6A, 0x3F, 0x24, 0xD3, 0x08, 0xA3, 0x85, 0x2E, 0x8A, 0x19, 0x13, 0x44, 0x73, 0x70, 0x03, 
	0x22, 0x38, 0x09, 0xA4, 0xD0, 0x31, 0x9F, 0x29, 0x98, 0xFA, 0x2E, 0x08, 0x89, 0x6C, 0x4E, 0xEC, 
	0xE6, 0x21, 0x28, 0x45, 0x77, 0x13, 0xD0, 0x38, 0xCF, 0x66, 0x54, 0xBE, 0x6C, 0x0C, 0xE9, 0x34, 
	0xB7, 0x29, 0xAC, 0xC0, 0xDD, 0x50, 0x7C, 0xC9, 0xB5, 0xD5, 0x84, 0x3F, 0x17, 0x09, 0x47, 0xB5, 
	0xD9, 0xD5, 0x16, 0x92, 0x1B, 0xFB, 0x79, 0x89, 
//
	0x04, 0xDD, 0xB4, 0x13, 0x57, 0xA6, 0xD5, 0x7A, 0xB7, 0x21, 0x65, 0xD1, 0x17, 0x06, 0xB0, 0xB2, 
	0xEE, 0x46, 0xE0, 0x55, 0xC7, 0x5F, 0x7C, 0x61, 0x38, 0xB2, 0x39, 0x37, 0x0D, 0x63, 0x8D, 0xF3, 
	0x32, 0x23, 0x17, 0x03, 0xBD, 0x0D, 0xE4, 0x2D, 0x3B, 0x8B, 0x42, 0x84, 0x37, 0x06, 0xC5, 0xAB, 
	0xC1, 0xEE, 0xC8, 0x95, 0x84, 0x7F, 0x9A, 0xB1, 0xC4, 0x59, 0x50, 0x47, 0x69, 0xFA, 0xFA, 0x99, 
	0x1E, 0xC9, 0xCB, 0x1A, 0x2E, 0x47, 0x91, 0xF3, 0xC5, 0xC6, 0xA8, 0xBA, 0xE1, 0xCB, 0x58, 0x30, 
	0x26, 0x10, 0x66, 0x89, 0x85, 0xEF, 0x67, 0x98, 0x7B, 0xBD, 0x2D, 0x14, 0x76, 0x71, 0x7C, 0xE9, 
	0xC0, 0xD1, 0xF8, 0x44, 0x13, 0xFE, 0x11, 0x0B, 0xD1, 0x39, 0x82, 0x02, 0x9B, 0x6C, 0xAE, 0xCF, 
	0xE8, 0xC7, 0x1F, 0xD5, 0xDA, 0xA8, 0xFB, 0xA7, 0xA0, 0xC2, 0x57, 0xA2, 0x32, 0x33, 0xD2, 0x07, 
	0x50, 0x3E, 0xF4, 0xC5, 0x37, 0xD8, 0x64, 0xE3, 0x76, 0x58, 0xFA, 0x4F, 0x07, 0x26, 0x5E, 0x9D, 
	0xA6, 0x38, 0xDB, 0x1D, 0x26, 0xE9, 0xAA, 0x64, 0x4D, 0x85, 0xEF, 0x44, 0xA4, 0xB5, 0x57, 0xFB, 
	0x51, 0xC3, 0x1A, 0x19, 0xF9, 0x6F, 0xEC, 0x8B, 0x78, 0xF1, 0x49, 0xE7, 0xE1, 0x79, 0x2D, 0xF6, 
	0x46, 0x62, 0x45, 0x3A, 0x52, 0xFD, 0x4B, 0x00, 0xC2, 0xCC, 0x22, 0x64, 0x6C, 0xA5, 0x17, 0x58, 
	0x74, 0x2E, 0x5A, 0xC4, 0x05, 0xCC, 0xC2, 0x64, 0xAD, 0x05, 0x7F, 0x09, 0x65, 0x0F, 0x67, 0x86, 
	0xF6, 0x22, 0x26, 0x8B, 0x58, 0xE8, 0x7F, 0x45, 0x5C, 0x2F, 0x97, 0xA2, 0xD0, 0xD8, 0x0F, 0xB5, 
	0x13, 0xC4, 0x71, 0x9E, 0xD6, 0x51, 0x56, 0x21, 0xA9, 0xBB, 0x6F, 0xDE, 0x90, 0x94, 0x5D, 0xE7, 
	0xF7, 0x42, 0x23, 0x55, 0xCA, 0x48, 0xC2, 0x24, 0x9B, 0xE9, 0x53, 0x8A, 0x4F, 0x86, 0xCE, 0xBF, 
	0xB4, 0xD0, 0x78, 0xF3, 0x29, 0xDA, 0xAF, 0x06, 0x55, 0xBF, 0xAC, 0x5E, 0x9E, 0x6D, 0x95, 0x01, 
	0x02, 0xF4, 0x09, 0xE7, 0xA6, 0x83, 0x1A, 0x53, 0x3C, 0x05, 0x73, 0xB1, 0x4C, 0x1F, 0x4A, 0x5F, 
	0x06, 0x2D, 0x62, 0x8D, 0x45, 0x7F, 0x5C, 0x20, 0x13, 0x1E, 0x3F, 0x62, 0xD2, 0xF3, 0xFC, 0x0C, 
	0x12, 0x27, 0x85, 0x05, 0xC6, 0x44, 0xCD, 0x04, 0x68, 0x6C, 0xD0, 0x02, 0x73, 0xDB, 0xB3, 0x47, 
	0x58, 0xA2, 0xA4, 0x9A, 0xDA, 0x65, 0x15, 0xFD, 0xA0, 0x9E, 0xB4, 0x08, 0x86, 0xCE, 0x38, 0xF2, 
	0x0C, 0xC2, 0x0E, 0xF5, 0x0B, 0xDE, 0x92, 0xAC, 0xA1, 0x34, 0x7D, 0xC0, 0x20, 0xEF, 0xC4, 0x08, 
	0x8A, 0x83, 0x38, 0x20, 0xF1, 0xA8, 0xB3, 0x2D, 0xF3, 0x3E, 0xBB, 0x5E, 0x31, 0xB9, 0x0B, 0x93, 
	0xA1, 0xBC, 0x76, 0x3E, 0x2A, 0x38, 0x3D, 0x8B, 0x01, 0x30, 0xD5, 0x7C, 0xE4, 0x26, 0xDE, 0x9A, 
	0x23, 0xE8, 0xDD, 0x88, 0x49, 0x54, 0x0F, 0xB3, 0xE9, 0x66, 0x83, 0xFD, 0xE8, 0xC8, 0x70, 0x3C, 
	0x81, 0xC8, 0x89, 0x15, 0xDB, 0x83, 0xDD, 0x80, 0x0D, 0xD3, 0xA2, 0x3C, 0x16, 0x52, 0x12, 0x0D, 
	0x1F, 0xAA, 0x50, 0x95, 0x38, 0x20, 0x15, 0x52, 0x89, 0x16, 0xC0, 0x25, 0xAD, 0x23, 0x0D, 0x7A, 
	0xCF, 0x0E, 0xBF, 0x21, 0xEA, 0xE0, 0x0C, 0x79, 0x44, 0xFB, 0xAB, 0xA3, 0x2C, 0xFC, 0x09, 0xF1, 
	0xB5, 0xFB, 0xFE, 0xDD, 0xFE, 0x7B, 0x2D, 0x69, 0x5E, 0x3F, 0x08, 0xAA, 0xAE, 0xEF, 0x3D, 0x23, 
	0x8E, 0x5C, 0x09, 0x29, 0x81, 0xDD, 0xEC, 0xA0, 0x57, 0x44, 0xC8, 0xE3, 0x58, 0x67, 0x77, 0xB5, 
	0x4A, 0x62, 0x8C, 0xBB, 0x48, 0x28, 0xDD, 0xE0, 0x37, 0x1A, 0x1E, 0xCA, 0x5E, 0xE1, 0xCE, 0x5A, 
	0x86, 0xC9, 0x55, 0xF3, 0xBB, 0x83, 0x26, 0x23, 0xBD, 0x22, 0x6D, 0xF5, 0xCA, 0xCD, 0xA6, 0x31, 
	0x64, 0x99, 0x46, 0x65, 0x5F, 0x9E, 0x6D, 0x8C, 0x6F, 0x52, 0x64, 0xDD, 0x1E, 0xD7, 0x6F, 0x15, 
	0xFC, 0xE1, 0x62, 0x77, 0x85, 0x7E, 0x04, 0x69, 0x2A, 0xF0, 0x57, 0x74, 0xA1, 0x98, 0x6D, 0x39, 
	0x6A, 0xA2, 0x68, 0xB7, 0x5A, 0x0C, 0x00, 0x0A, 0xAA, 0x6F, 0xAC, 0x98, 0xF9, 0x93, 0x78, 0x6B, 
	0x5A, 0xEE, 0x35, 0x53, 0x6C, 0xA8, 0xA7, 0x21, 0x3D, 0xD1, 0xF8, 0x26, 0x89, 0x18, 0xAB, 0xEE, 
	0xAB, 0x2A, 0x00, 0xFE, 0x6E, 0xB8, 0x7D, 0x16, 0xBA, 0xDE, 0x48, 0x67, 0xCD, 0x7F, 0x8F, 0xD2, 
	0xA7, 0xF2, 0x3D, 0x37, 0xEC, 0x22, 0xED, 0x87, 0x80, 0x26, 0xD2, 0x37, 0xB9, 0x04, 0x35, 0x67, 
	0xFE, 0x34, 0xD8, 0xE5, 0x51, 0x42, 0x6A, 0x0A, 0x35, 0xB7, 0x0B, 0x2E, 0xFD, 0x37, 0x8E, 0x3A, 
	0x9B, 0xA8, 0x25, 0xCD, 0x8F, 0xD9, 0xB2, 0xFF, 0xA6, 0x1C, 0x07, 0xCC, 0xCC, 0xF1, 0xF0, 0xE5, 
	0x22, 0xB6, 0xD8, 0x6E, 0x5D, 0x23, 0x9A, 0x12, 0x0F, 0x23, 0xCA, 0x8F, 0x8F, 0x5E, 0xB6, 0xAE, 
	0xC3, 0xA6, 0x01, 0x6E, 0xF7, 0x3A, 0xA4, 0xF0, 0xCA, 0x9E, 0xE4, 0x7B, 0xD6, 0x97, 0x98, 0xD0, 
	0xC2, 0xB4, 0xE6, 0xAD, 0xF9, 0x76, 0x70, 0x56, 0x50, 0x28, 0xB2, 0xA9, 0x79, 0x0A, 0x20, 0x1C, 
	0x0E, 0x84, 0x61, 0xCC, 0xC1, 0x97, 0xD1, 0x95, 0x1A, 0xD2, 0x39, 0xF7, 0xCF, 0xB0, 0x8F, 0x51, 
	0xD0, 0x29, 0x37, 0xD3, 0xA7, 0x07, 0x39, 0x56, 0xDE, 0x4D, 0x80, 0xFD, 0xA0, 0xF3, 0x29, 0x78, 
	0xE4, 0xD0, 0x96, 0x69, 0xFE, 0x89, 0xE0, 0x4D, 0x65, 0x08, 0xFE, 0x11, 0x34, 0xE8, 0xC8, 0x49, 
	0xCF, 0xE3, 0xD6, 0xCC, 0xC8, 0x54, 0xED, 0x42, 0x03, 0x82, 0x9E, 0x02, 0xD3, 0x40, 0x5C, 0x6B, 
	0xAD, 0x48, 0x4B, 0xAB, 0xBB, 0x76, 0xA5, 0xB5, 0x85, 0xD3, 0x89, 0xF8, 0xA8, 0x3D, 0xC0, 0x37, 
	0x4C, 0x30, 0xCD, 0x9F, 0x00, 0x18, 0x78, 0x20, 0x42, 0x4E, 0xC6, 0xBF, 0xF0, 0xB2, 0x29, 0x76, 
	0x86, 0xAC, 0x63, 0x00, 0xF7, 0x28, 0x95, 0xB7, 0xAF, 0xD1, 0x89, 0x74, 0x10, 0xDA, 0x39, 0x44, 
	0xAA, 0x20, 0x5B, 0x70, 0x00, 0x91, 0x72, 0x3B, 0xC7, 0x45, 0xC8, 0x85, 0x0A, 0xBA, 0x87, 0x3D, 
	0x9F, 0x54, 0xC7, 0x6C, 0x21, 0x1D, 0x7A, 0x6B, 0x48, 0x79, 0xA1, 0x95, 0x7E, 0x71, 0x45, 0xAE, 
	0x2E, 0xE3, 0x47, 0xE0, 0x34, 0xC6, 0x09, 0x2A, 0x92, 0x73, 0xAB, 0xB5, 0x5C, 0xBD, 0x74, 0x87, 
	0xA8, 0x62, 0xB7, 0x9F, 0x04, 0x2E, 0x6B, 0x8F, 0xE1, 0x04, 0x62, 0x3F, 0x05, 0xBA, 0xE4, 0x6D, 
	0x07, 0x86, 0x3B, 0x55, 0x9F, 0x9A, 0x97, 0x93, 0x43, 0x45, 0x61, 0x47, 0x86, 0xB0, 0x04, 0x37, 
	0x4E, 0x56, 0xE3, 0x7B, 0xE0, 0xC5, 0x13, 0x12, 0x8A, 0x6B, 0x2B, 0x92, 0x6E, 0xA1, 0x65, 0xD3, 
	0xCF, 0x39, 0xED, 0x6E, 0x0F, 0x78, 0x38, 0x95, 0x4B, 0x3D, 0xE5, 0x9F, 0x5E, 0xF0, 0x86, 0x73, 
	0xD5, 0x88, 0x7F, 0xCA, 0x34, 0xDA, 0xE7, 0x09, 0xB7, 0x1E, 0x3B, 0x3F, 0x7A, 0x79, 0x67, 0xA6, 
	0xDA, 0x13, 0x87, 0xD6, 0x93, 0x0D, 0x84, 0x92, 0xFB, 0x9B, 0x8A, 0xFE, 0x81, 0x13, 0x13, 0xC8, 
	0x6A, 0xD5, 0x1D, 0xA0, 0x8C, 0x8A, 0xD9, 0x2A, 0x94, 0x0F, 0x15, 0x5A, 0x37, 0x51, 0x3A, 0x0B, 
	0x75, 0xEE, 0xB5, 0x4E, 0xE6, 0x78, 0x56, 0xD4, 0xCE, 0xD8, 0xF6, 0xAA, 0x8C, 0x39, 0xA2, 0x21, 
	0xC6, 0x9E, 0x29, 0xBF, 0x69, 0x14, 0xE1, 0xB9, 0x87, 0x54, 0x2F, 0x54, 0xC7, 0x4D, 0x23, 0x5F, 
	0x00, 0x05, 0x66, 0xB2, 0x56, 0xF0, 0x54, 0x74, 0xFF, 0xB6, 0x24, 0xC0, 0xB0, 0x2B, 0x91, 0xFE, 
	0x6A, 0x06, 0x73, 0x1E, 0x3F, 0xB9, 0x68, 0xA5, 0x5E, 0x84, 0x86, 0x50, 0xA4, 0xD2, 0xD8, 0xE5, 
	0x92, 0x89, 0x33, 0x7F, 0x79, 0xED, 0xC5, 0x88, 0x65, 0x65, 0x7F, 0x5D, 0x24, 0x60, 0x58, 0x48, 
	0x94, 0x32, 0x25, 0x7A, 0x2B, 0xCA, 0x98, 0x4F, 0x80, 0xB7, 0xC4, 0x0C, 0x5C, 0xEB, 0x4B, 0x0C, 
	0xBB, 0x5B, 0x2C, 0x1B, 0xD7, 0x6F, 0xFD, 0x9A, 0x46, 0x13, 0x0F, 0xB5, 0xDA, 0xE8, 0xEA, 0xE6, 
	0xDB, 0xF6, 0x3B, 0xAF, 0x02, 0x15, 0x34, 0x58, 0x43, 0xEC, 0x22, 0x2F, 0x7B, 0x59, 0xB6, 0xC3, 
	0xAD, 0xCF, 0x7D, 0x1D, 0x64, 0xFF, 0x8B, 0x13, 0xA5, 0xFF, 0x6F, 0x57, 0x79, 0xDB, 0x20, 0xF0, 
	0x2F, 0x5C, 0x76, 0x58, 0xED, 0x89, 0x8E, 0x87, 0x48, 0x4B, 0x43, 0xCD, 0x1C, 0x52, 0xA7, 0x41, 
	0xE8, 0x3A, 0x52, 0x5E, 0x91, 0xAA, 0x05, 0x20, 0x5B, 0x00, 0xFE, 0xC5, 0xA3, 0xEC, 0x37, 0x42, 
	0xAE, 0x17, 0x73, 0x08, 0xCB, 0xD3, 0xDF, 0xCB, 0xA0, 0x9B, 0xE6, 0x93, 0x84, 0xEA, 0x77, 0x47, 
	0x5E, 0xC3, 0x0A, 0xA4, 0x6D, 0x23, 0x38, 0x6E, 0x2A, 0x3E, 0xBB, 0x53, 0x27, 0x59, 0x68, 0xF8, 
	0xC2, 0xCA, 0x73, 0x46, 0x30, 0x7B, 0x2B, 0xF1, 0x39, 0x18, 0x27, 0x00, 0xDB, 0xDF, 0xA5, 0xDF, 
	0xBD, 0xD5, 0xAA, 0x61, 0x3C, 0xF0, 0x38, 0xCD, 0x9B, 0x8D, 0xD4, 0xF3, 0xBC, 0x65, 0x3E, 0x17, 
	0x7E, 0xE7, 0x2C, 0x26, 0xC8, 0xD1, 0x94, 0xAD, 0xE6, 0x78, 0xD8, 0xAE, 0xF1, 0x3F, 0x0E, 0x42, 
	0x70, 0x44, 0x47, 0xDB, 0x84, 0x55, 0xA9, 0xAA, 0x77, 0xD9, 0xDC, 0x89, 0x80, 0x4C, 0x32, 0x8D, 
	0x4C, 0xA2, 0xAE, 0x42, 0x9B, 0xBF, 0xDB, 0x3F, 0x26, 0xF4, 0x44, 0xBC, 0xC8, 0x49, 0x06, 0x6C, 
	0x98, 0x23, 0xF2, 0xD9, 0x98, 0x97, 0x55, 0x24, 0x4F, 0xA9, 0x5E, 0x04, 0x6E, 0x59, 0xEF, 0x78, 
	0x88, 0x47, 0x61, 0x9D, 0x87, 0x7F, 0x92, 0xCB, 0x8A, 0xC8, 0x73, 0xE7, 0x6B, 0xA6, 0x00, 0xB7, 
	0x30, 0xEB, 0x6C, 0xC7, 0x4D, 0xC7, 0x0A, 0x2E, 0x75, 0xB0, 0x56, 0x6D, 0xA5, 0xB0, 0x42, 0x54, 
	0x9B, 0x22, 0xC0, 0xB3, 0x0F, 0xDB, 0x48, 0x61, 0x7B, 0x88, 0xEA, 0xFE, 0x56, 0xD3, 0x51, 0x93, 
	0x39, 0x94, 0xCB, 0x04, 0x59, 0x5B, 0x69, 0x1E, 0x77, 0x25, 0xDD, 0xC8, 0x43, 0x19, 0xB9, 0xBA, 
	0xE9, 0xD1, 0x62, 0xE0, 0x62, 0x86, 0xE2, 0x5B, 0xE9, 0x58, 0x91, 0xEC, 0xA6, 0x95, 0x51, 0x4B, 
	0xA5, 0xD4, 0xF8, 0xDA, 0xBC, 0x61, 0x36, 0xC2, 0x0B, 0x65, 0x2B, 0x8B, 0x5E, 0xED, 0x9E, 0xDD, 
	0xA3, 0xC3, 0x9A, 0x09, 0x69, 0xDF, 0xF8, 0xA4, 0x29, 0x06, 0x45, 0x74, 0xE9, 0xDE, 0x12, 0x90, 
	0x98, 0xBE, 0xC0, 0x7F, 0x44, 0x12, 0x76, 0xE9, 0x29, 0x2F, 0xD6, 0x2A, 0x58, 0x0F, 0xD5, 0xFE, 
	0x80, 0x69, 0xD4, 0x36, 0x43, 0x37, 0xF6, 0x2C, 0x29, 0xB5, 0x74, 0xA2, 0x48, 0x83, 0x7A, 0x4B, 
	0x3B, 0x99, 0xF8, 0x36, 0x20, 0x4C, 0x79, 0x14, 0xD6, 0x96, 0x0A, 0x0B, 0xC2, 0xA8, 0xED, 0xB8, 
	0xF7, 0x69, 0x9B, 0xB4, 0x94, 0x8F, 0x8D, 0xBE, 0xE4, 0x99, 0xD5, 0x8F, 0x99, 0xE2, 0x94, 0x0F, 
	0x4B, 0xB7, 0x08, 0x7A, 0x35, 0x3B, 0xBD, 0xDD, 0xEF, 0xA5, 0x41, 0x03, 0xB7, 0x2F, 0x8B, 0xD8, 
	0x9D, 0xEF, 0xF8, 0xF9, 0xCA, 0x79, 0xBA, 0x05, 0xCB, 0x21, 0x2F, 0x0C, 0xA8, 0x5F, 0x8D, 0x41, 
	0x4F, 0xBC, 0x09, 0xED, 0xC1, 0x61, 0x68, 0x57, 0x15, 0x53, 0xC3, 0x43, 0x53, 0x0D, 0x0D, 0x54, 
	0xE4, 0x0D, 0xB5, 0x81, 0x2E, 0xB6, 0x8A, 0x98, 0xB2, 0xA4, 0xE0, 0x82, 0xCF, 0x75, 0xAF, 0xE9, 
	0x2F, 0xC0, 0x42, 0x93, 0x97, 0xCC, 0xCD, 0x97, 0xA6, 0x65, 0x18, 0x71, 0xE9, 0xF6, 0x2D, 0xA1, 
	0x65, 0xDF, 0xDA, 0x7B, 0x92, 0xC9, 0x84, 0x75, 0x82, 0x85, 0xB4, 0x26, 0xD2, 0xDA, 0x85, 0xDD, 
	0xAA, 0x5D, 0xE5, 0xA8, 0x13, 0x59, 0x69, 0x48, 0x78, 0x7F, 0x54, 0x75, 0x33, 0xEE, 0x15, 0x9B, 
	0x9C, 0xF5, 0x76, 0x0C, 0x0A, 0xAF, 0x6D, 0x58, 0xE1, 0x7D, 0x51, 0x6E, 0xAE, 0x0C, 0x05, 0xD6, 
	0x03, 0x8B, 0x6A, 0x33, 0xBA, 0x61, 0x57, 0xFD, 0xE5, 0x8E, 0xF6, 0x3E, 0xA5, 0xAE, 0x53, 0xD6, 
	0xCA, 0x62, 0xB1, 0xAC, 0x19, 0xAB, 0xF8, 0xF5, 0xAF, 0x99, 0x65, 0x7B, 0xEA, 0x68, 0x7E, 0xB4, 
	0xFF, 0x1D, 0xFB, 0x35, 0x31, 0x41, 0x43, 0xD6, 0x69, 0x6B, 0xD2, 0xB6, 0xCB, 0xE0, 0xA8, 0x1C, 
	0x90, 0x79, 0xCF, 0xE1, 0x5F, 0xC9, 0xA3, 0x10, 0x13, 0x38, 0x71, 0xFF, 0xB4, 0xB4, 0xD6, 0x19, 
	0x2C, 0x4A, 0xF4, 0x45, 0x1E, 0xC9, 0x82, 0xB8, 0x00, 0x7C, 0x73, 0xB6, 0x70, 0xA0, 0xBE, 0xA2, 
	0x86, 0x3E, 0xB1, 0x8B, 0xB9, 0xB6, 0xEB, 0x28, 0xA5, 0x2D, 0xFB, 0xFB, 0xEA, 0xCE, 0x5F, 0x43, 
	0x11, 0xA0, 0x7A, 0x02, 0x3B, 0x8A, 0xDC, 0x49, 0x2A, 0xCF, 0xFD, 0xC2, 0x05, 0x47, 0x6B, 0x36, 
	0xF2, 0x23, 0x26, 0xA1, 0x8E, 0x2C, 0xC1, 0x33, 0xF8, 0xE8, 0x9C, 0x5A, 0x02, 0x10, 0x64, 0xDE, 
	0xEA, 0x84, 0xCF, 0xC3, 0xBA, 0xAC, 0x56, 0x87, 0x4C, 0x05, 0x7D, 0x14, 0xB2, 0x76, 0x04, 0x93, 
	0x90, 0xBD, 0x29, 0x14, 0xCD, 0x22, 0xF3, 0xCA, 0xB1, 0x67, 0x49, 0x78, 0x7C, 0xB7, 0x65, 0x52, 
	0x28, 0x1D, 0xF3, 0x97, 0xF2, 0xE8, 0x20, 0xC7, 0xF3, 0x27, 0x6E, 0x3E, 0x11, 0x20, 0x27, 0xC2, 
	0x1B, 0x9D, 0xFA, 0x63, 0xEA, 0x92, 0x15, 0xD3, 0x10, 0x72, 0xEC, 0x2A, 0x6F, 0x69, 0xA4, 0xE0, 
	0xE4, 0x6C, 0xE2, 0x84, 0xF5, 0xDE, 0x8E, 0x90, 0x4F, 0x5A, 0xE3, 0x83, 0xA1, 0x06, 0xFB, 0x3A, 
	0x20, 0x8A, 0xC7, 0x3D, 0xFE, 0xB2, 0x3C, 0xA6, 0xA0, 0x6E, 0x3D, 0xE9, 0x80, 0xC4, 0xA3, 0xB0, 
	0x27, 0x1C, 0x88, 0xC2, 0xB2, 0xF8, 0xD4, 0xAF, 0x00, 0x22, 0xC1, 0xDF, 0x82, 0x0C, 0xF0, 0x4E, 
	0x70, 0xED, 0x66, 0x2E, 0xF4, 0xFB, 0x9B, 0x59, 0x9F, 0xEE, 0x97, 0x5D, 0x5A, 0xB9, 0xCC, 0xB2, 
	0xCB, 0x46, 0x5E, 0x6C, 0xE0, 0xBE, 0x0C, 0x9F, 0x24, 0xB5, 0x0B, 0x63, 0x2A, 0x76, 0xA6, 0x3A, 
	0x47, 0x44, 0x84, 0x6E, 0x7A, 0x77, 0x09, 0xBA, 0x5D, 0xED, 0x42, 0x72, 0x9F, 0x2A, 0x77, 0x13, 
	0x68, 0x63, 0x67, 0x08, 0xCF, 0x58, 0xDC, 0x31, 0x59, 0xC6, 0x42, 0x7F, 0x40, 0xFE, 0x7F, 0xE2, 
	0x1C, 0x04, 0x50, 0x66, 0x37, 0x58, 0x09, 0x54, 0xC7, 0x5B, 0x95, 0xE3, 0xFF, 0x25, 0x25, 0xCD, 
	0xB2, 0x40, 0x0A, 0xF7, 0x1F, 0xBE, 0xD0, 0x26, 0x43, 0xC3, 0x8D, 0x77, 0xD1, 0x7E, 0x3C, 0x3C, 
	0xD2, 0x56, 0x9C, 0x84, 0xA5, 0xD0, 0xF6, 0x87, 0xF7, 0x9C, 0xFF, 0xEB, 0x05, 0xDF, 0xBB, 0x99, 
	0x5B, 0xBF, 0x2C, 0xBE, 0x01, 0xE5, 0x5C, 0x4E, 0xDB, 0x98, 0x20, 0x33, 0xC1, 0xB1, 0xB3, 0x1A, 
	0xC3, 0xB6, 0x2C, 0xAD, 0xA1, 0xE8, 0x8A, 0xB9, 0x8C, 0x2E, 0xEA, 0xA6, 0xE0, 0x4D, 0x36, 0x69, 
	0x67, 0xDD, 0x8D, 0xE3, 0x8F, 0x1B, 0x43, 0x74, 0xAB, 0x91, 0x4C, 0x4A, 0x3D, 0x57, 0x95, 0xD1, 
	0x0E, 0x73, 0xB0, 0x65, 0x9E, 0xCB, 0xFC, 0x45, 0x49, 0xB0, 0x33, 0x7B, 0x4E, 0x1F, 0x31, 0x5A, 
	0xAB, 0x53, 0x79, 0xE0, 0x8D, 0x5A, 0xD4, 0x30, 0xEA, 0xF4, 0x3C, 0x0A, 0x9C, 0xE5, 0xF9, 0x1C, 
	0x2C, 0xC2, 0xC7, 0x9F, 0x3C, 0xE3, 0x80, 0xB4, 0x51, 0x1F, 0xB4, 0x9E, 0x9A, 0x9E, 0x54, 0xCB, 
	0x01, 0xF4, 0x60, 0x7F, 0xB3, 0x78, 0x68, 0x9D, 0x1F, 0x94, 0x61, 0xF9, 0x19, 0xAA, 0x30, 0x51, 
	0xCB, 0xDB, 0x19, 0xEA, 0xBE, 0xE7, 0xFF, 0x96, 0x1F, 0x0D, 0x3A, 0xA3, 0x53, 0xC1, 0x9E, 0x27, 
	0x73, 0xB3, 0xF3, 0xB7, 0x68, 0x8B, 0x2E, 0x9A, 0xE5, 0x90, 0x3A, 0x22, 0x78, 0x17, 0x33, 0xCF, 
	0xA2, 0x91, 0x87, 0x84, 0xB9, 0xBB, 0x76, 0x0D, 0x25, 0x59, 0x00, 0xD8, 0x56, 0x94, 0x44, 0xB2, 
	0x93, 0xFC, 0x11, 0x09, 0xA5, 0xF7, 0x39, 0x22, 0x12, 0x14, 0x00, 0x59, 0x86, 0xBF, 0xCC, 0x70, 
	0xBC, 0x5F, 0x19, 0x9E, 0x12, 0xEC, 0x62, 0x08, 0xC0, 0xB3, 0x9D, 0xE1, 0x72, 0xDA, 0xA2, 0x72, 
	0xDC, 0x02, 0x9A, 0xF8, 0x91, 0x2E, 0x85, 0x0E, 0x63, 0xE5, 0x81, 0x4E, 0x23, 0x53, 0x6B, 0x6C, 
	0x99, 0xF6, 0x3B, 0xF9, 0x41, 0x34, 0x3D, 0xD5, 0x1A, 0x09, 0x1F, 0xF5, 0xC2, 0xB2, 0x94, 0x2D, 
	0xCD, 0x31, 0x24, 0x3D, 0x15, 0x1E, 0x78, 0x5D, 0xA1, 0x35, 0x59, 0x38, 0x6A, 0xC4, 0x4B, 0x14, 
	0x37, 0xEB, 0x8F, 0xC0, 0x88, 0x75, 0x18, 0x99, 0x40, 0xD6, 0xD1, 0xD9, 0xB2, 0xB0, 0x5C, 0x1F, 
	0x5F, 0x02, 0x3B, 0xF9, 0x97, 0xF4, 0x33, 0xF1, 0xEC, 0x11, 0x65, 0x92, 0x40, 0x6D, 0x8D, 0x74, 
	0xF5, 0x20, 0x81, 0x55, 0xA6, 0x31, 0xED, 0xFC, 0x83, 0xFD, 0x0D, 0x76, 0x5E, 0xC6, 0xF4, 0x08, 
	0x0A, 0x01, 0xBD, 0x05, 0xBD, 0xC8, 0xD1, 0x72, 0xB7, 0x8C, 0x2B, 0x46, 0x6B, 0x06, 0x76, 0xD2, 
	0x0E, 0x22, 0x7A, 0xA7, 0x5D, 0x7A, 0x41, 0x2D, 0x24, 0xBC, 0x1F, 0xD9, 0xD8, 0x1C, 0x8D, 0xCA, 
	0x89, 0xD8, 0x97, 0x56, 0xFA, 0x7E, 0x7C, 0xE8, 0xC8, 0x8F, 0xC5, 0x5A, 0x14, 0xDA, 0x10, 0xBD, 
	0x1D, 0xB6, 0x77, 0x49, 0xE7, 0x0C, 0x62, 0x1D, 0xEE, 0x02, 0x49, 0x0F, 0xA4, 0xC3, 0xC2, 0xC9, 
	0x44, 0xD0, 0x0F, 0x1A, 0x63, 0xFB, 0x1A, 0x4F, 0x58, 0x05, 0x98, 0x11, 0x80, 0xA1, 0xFD, 0x31, 
	0x18, 0x66, 0x7C, 0x80, 0x37, 0x15, 0x5A, 0xBC, 0x57, 0x5A, 0x75, 0x37, 0x7F, 0xF6, 0xC7, 0xEA, 
	0x16, 0x1C, 0x83, 0x2B, 0x18, 0x94, 0x08, 0x56, 0x3D, 0xEF, 0xF9, 0x3A, 0x71, 0x0E, 0x51, 0x28, 
	0xCA, 0xDA, 0x49, 0x28, 0xE0, 0x00, 0x8F, 0xAA, 0x64, 0x37, 0x43, 0xEB, 0x72, 0x72, 0xC0, 0xF8, 
	0xF8, 0x20, 0x48, 0x16, 0x75, 0x7F, 0x43, 0x1E, 0xDC, 0xA8, 0xA7, 0x27, 0x8A, 0x06, 0xDA, 0xAF, 
	0xBF, 0x7B, 0x50, 0x28, 0xFE, 0x65, 0xBC, 0xC1, 0x87, 0x7A, 0xAB, 0xE6, 0xD5, 0x39, 0x18, 0xE8, 
	0xE4, 0x82, 0x47, 0xDD, 0xDC, 0xB7, 0x1A, 0xC8, 0x62, 0x7E, 0xDF, 0xB6, 0xD7, 0x31, 0x41, 0x6B, 
	0x62, 0xA8, 0x01, 0xFE, 0x99, 0xFD, 0xCD, 0x7D, 0x4B, 0x9F, 0x58, 0xA2, 0xD0, 0xDB, 0xB0, 0x4F, 
	0x05, 0xD5, 0x92, 0x63, 0xE8, 0xB6, 0x4A, 0x49, 0x9C, 0x93, 0x81, 0x64, 0x5C, 0x79, 0x12, 0x4F, 
	0xC1, 0xB5, 0xF8, 0xB4, 0x80, 0x63, 0xF7, 0x51, 0x99, 0xEF, 0xAA, 0x76, 0xAE, 0x2D, 0x40, 0x34, 
	0x2C, 0x56, 0x1E, 0x31, 0x7A, 0x16, 0x50, 0xD8, 0x84, 0xA6, 0x99, 0x85, 0x71, 0xAE, 0xA4, 0xFC, 
	0x5D, 0x82, 0xB8, 0x5C, 0xA4, 0x17, 0x1C, 0x7B, 0x0F, 0xD3, 0x1B, 0x7B, 0x19, 0x36, 0x6B, 0x1B, 
	0x3C, 0x19, 0x87, 0x22, 0x02, 0x14, 0x61, 0x16, 0x7A, 0x67, 0x7D, 0x2A, 0x5D, 0x8D, 0x8C, 0x2C, 
	0x14, 0x77, 0x2D, 0xFE, 0x91, 0x25, 0x71, 0xFA, 0xC4, 0x34, 0x80, 0x6B, 0x32, 0xBE, 0x7A, 0x0A, 
	0x12, 0xB3, 0x9F, 0x43, 0x16, 0x9B, 0x6C, 0xE2, 0xD5, 0x92, 0x4B, 0x63, 0x97, 0xFE, 0x28, 0x31, 
	0x1B, 0x64, 0x1D, 0xB1, 0xA6, 0x80, 0x20, 0xE9, 0x8F, 0x9F, 0x83, 0x4C, 0x38, 0xED, 0xCB, 0x09, 
	0x3C, 0x5C, 0x39, 0x08, 0x52, 0x69, 0x3A, 0x84, 0x5E, 0xFD, 0xA5, 0x10, 0xB9, 0x4D, 0x99, 0x8B, 
	0xBA, 0x90, 0x74, 0x66, 0x3F, 0x04, 0x5E, 0x60, 0xC1, 0xAE, 0x73, 0xB4, 0x4D, 0xFE, 0x95, 0x79, 
	0x9C, 0x3F, 0xA1, 0xBC, 0x23, 0xA3, 0x96, 0xBE, 0xFC, 0x79, 0x10, 0x73, 0x1D, 0xDE, 0x36, 0x40, 
	0x53, 0x26, 0x1F, 0xB2, 0x0F, 0xD7, 0x5B, 0xC9, 0x0D, 0x18, 0x4D, 0x24, 0x98, 0x0A, 0x94, 0x4B, 
	0xEA, 0x73, 0xC0, 0xF1, 0x1C, 0xE3, 0x41, 0x14, 0xB2, 0x48, 0x56, 0x67, 0xDB, 0xB1, 0x84, 0x78, 
	0x08, 0xD5, 0xFE, 0xBB, 0x79, 0xB1, 0x18, 0x60, 0x1F, 0x6F, 0xC7, 0xC7, 0xF4, 0x8E, 0xEB, 0x1A, 
	0xBF, 0xFB, 0xF1, 0x65, 0x0C, 0xC4, 0x2D, 0x67, 0xE4, 0xAB, 0x14, 0xF1, 0xA3, 0xD5, 0x48, 0xBE, 
	0x11, 0x75, 0x41, 0x31, 0xB6, 0x50, 0x16, 0x65, 0x31, 0x8B, 0xCC, 0xBB, 0x16, 0x41, 0x54, 0xD5, 
	0xBB, 0xE8, 0x28, 0xBA, 0x11, 0x95, 0x4D, 0xCA, 0x8C, 0xD6, 0x43, 0xBC, 0xD2, 0xAF, 0x54, 0xF5, 
	0xC6, 0x1E, 0x48, 0x09, 0x45, 0x4A, 0x99, 0x48, 0xC8, 0x51, 0xCD, 0xCD, 0xD7, 0x82, 0x96, 0x7E, 
	0x15, 0x7F, 0x0B, 0x1B, 0x76, 0xBC, 0x2B, 0x5A, 0xEE, 0x6A, 0x98, 0xC2, 0xD9, 0xDC, 0x50, 0xF1, 
	0xFC, 0x14, 0xF7, 0x89, 0xEF, 0x19, 0x03, 0x04, 0x76, 0x60, 0x05, 0x5D, 0x2E, 0x83, 0xF0, 0x4F, 
	0xB1, 0x31, 0x30, 0xBA, 0x2D, 0x19, 0x1D, 0x89, 0x1F, 0x64, 0x1C, 0x50, 0xE2, 0x1C, 0xAB, 0x78, 
	0x4B, 0x9E, 0x38, 0xE3, 0x8E, 0x1E, 0x94, 0x76, 0x66, 0xEC, 0x8A, 0xF8, 0x33, 0x18, 0x02, 0x6E, 
	0xA5, 0xCF, 0xC0, 0xDC, 0x57, 0x8F, 0xD6, 0x3E, 0x76, 0x39, 0x6F, 0x43, 0x74, 0xB3, 0x90, 0x1C, 
	0x85, 0xB8, 0x2D, 0x9B, 0x75, 0x26, 0xB1, 0x87, 0x32, 0xF9, 0xFA, 0xEE, 0x3F, 0xE6, 0x82, 0x0A, 
	0xEE, 0x62, 0x4A, 0x05, 0x3D, 0x94, 0xE3, 0xDD, 0xD4, 0x9A, 0xBA, 0x42, 0x88, 0x49, 0xA2, 0x4D, 
	0x8A, 0x56, 0x5A, 0x81, 0x37, 0xBA, 0xA2, 0x95, 0x4C, 0xC8, 0x36, 0x0A, 0x12, 0x70, 0xE3, 0xA7, 
	0xD1, 0xBB, 0x99, 0x81, 0xC6, 0x89, 0x52, 0x2C, 0x81, 0x47, 0x4E, 0x76, 0x75, 0x3E, 0x07, 0xC4, 
	0x4D, 0xBB, 0x01, 0x1A, 0x54, 0x58, 0x76, 0x7E, 0x2F, 0x47, 0x90, 0x5A, 0xCA, 0x65, 0xD1, 0x21, 
	0x45, 0xAB, 0x00, 0x79, 0x6D, 0x59, 0xB7, 0xCA, 0x22, 0xF4, 0x9E, 0x05, 0xCC, 0x29, 0x07, 0x28, 
	0xDD, 0x39, 0x7C, 0xDD, 0x15, 0x94, 0x9B, 0x65, 0x29, 0xF7, 0x71, 0xB7, 0x1A, 0x32, 0x42, 0xA4, 
	0x73, 0x94, 0x7A, 0x7F, 0x52, 0xB8, 0x6A, 0xBC, 0x0D, 0x48, 0x1D, 0x90, 0x04, 0x0D, 0x6D, 0xAC, 
	0xEA, 0x7F, 0x60, 0xB4, 0xC6, 0xB8, 0x74, 0x17, 0x8C, 0xA2, 0x86, 0x9C, 0x20, 0xE3, 0x98, 0xCE, 
	0x4E, 0xE2, 0xB2, 0x3F, 0x0A, 0x18, 0xC2, 0x5C, 0x33, 0x93, 0x50, 0x71, 0xBD, 0x85, 0x85, 0x2A, 
	0x0F, 0x50, 0xED, 0xC3, 0x23, 0x88, 0x15, 0xD5, 0xBE, 0x04, 0x01, 0x8F, 0xF5, 0xF1, 0x35, 0xDD, 
	0xE2, 0xBA, 0xEB, 0xDF, 0x67, 0x44, 0xC6, 0xDB, 0x6D, 0xDE, 0x38, 0x9F, 0x1B, 0x18, 0x80, 0x10, 
	0x14, 0x68, 0x16, 0x79, 0xC7, 0x69, 0x07, 0x00, 0x82, 0x42, 0x9E, 0x54, 0xE3, 0x8F, 0x8A, 0x9C, 
	0xFE, 0xF6, 0x71, 0x6A, 0x66, 0x5D, 0xB5, 0x2E, 0x03, 0x84, 0xF6, 0xA0, 0x87, 0x9B, 0xB8, 0x34, 
	0x06, 0x16, 0x45, 0x96, 0x15, 0x0D, 0xD1, 0xF7, 0x8D, 0x01, 0x9E, 0xB2, 0xFB, 0xCE, 0xA3, 0x9E, 
	0x6A, 0x6A, 0x29, 0x51, 0x28, 0xB7, 0x72, 0x24, 0xD7, 0x99, 0x6C, 0xE0, 0xF6, 0x52, 0x2B, 0x88, 
	0xDF, 0xD2, 0xC2, 0xA7, 0xEB, 0x9B, 0xCE, 0x4C, 0x65, 0x84, 0xE7, 0xAB, 0x8B, 0xA0, 0xD9, 0x17, 
	0xDE, 0x1B, 0x84, 0x00, 0xAD, 0xEC, 0xD7, 0x32, 0x98, 0xE2, 0x55, 0x95, 0xA6, 0x5E, 0x44, 0x5B, 
	0x43, 0xF9, 0x7C, 0x5D, 0x4D, 0xF3, 0x9B, 0x37, 0x31, 0x42, 0x31, 0x85, 0xCB, 0xC2, 0x36, 0x67, 
	0xA2, 0xF0, 0xF9, 0x34, 0xDD, 0x45, 0x87, 0x3F, 0x17, 0x3F, 0x33, 0x15, 0x02, 0xC7, 0xEF, 0xB4, 
	0xAA, 0x8D, 0xB6, 0xC9, 0xDB, 0xB3, 0x41, 0x00, 0x08, 0xF3, 0xF7, 0x18, 0xDE, 0x30, 0xD7, 0x53, 
	0x84, 0x3D, 0xF8, 0x9D, 0x2A, 0x5E, 0xE8, 0x91, 0xA2, 0xEC, 0x24, 0x56, 0x3A, 0x3E, 0x97, 0x0E, 
	0x12, 0xC4, 0xE2, 0x72, 0xE8, 0x30, 0x04, 0xEB, 0x0B, 0x1E, 0xAB, 0x61, 0x13, 0xAF, 0x77, 0x9A, 
	0xB9, 0x2E, 0xFE, 0x15, 0xED, 0xC5, 0x7C, 0xC2, 0x2D, 0xFB, 0x95, 0x19, 0xDA, 0x85, 0xAC, 0xA6, 
	0x18, 0xDA, 0xDB, 0xFE, 0x99, 0x98, 0x92, 0xED, 0x77, 0xCC, 0x97, 0x60, 0x1C, 0xC4, 0xFB, 0x6C, 
	0xF1, 0x15, 0x63, 0x9E, 0x67, 0x19, 0xC0, 0x80, 0xB8, 0x1F, 0x83, 0x25, 0x86, 0x3C, 0xF4, 0x36, 
	0x4E, 0x80, 0x53, 0xF6, 0x77, 0x1E, 0x15, 0x4F, 0x83, 0xE5, 0x61, 0xEB, 0xC2, 0x30, 0xCF, 0x15, 
	0xBB, 0x47, 0x20, 0xF9, 0x27, 0xEF, 0x87, 0x96, 0x61, 0xBD, 0xD6, 0x8F, 0xBC, 0x84, 0xC6, 0xD5, 
	0x31, 0x07, 0x42, 0xE5, 0x85, 0xEA, 0x77, 0x2E, 0xD8, 0x9D, 0x4C, 0xF8, 0x6E, 0xDB, 0x84, 0x00, 
	0x2E, 0x08, 0xC4, 0xA4, 0x49, 0xAD, 0x71, 0x89, 0x1F, 0xF0, 0x1D, 0x23, 0x5F, 0xE6, 0x26, 0x96, 
	0x2B, 0x2F, 0xCB, 0x0F, 0xC3, 0x51, 0xFD, 0x88, 0x1E, 0xF5, 0xC3, 0xC1, 0x92, 0xF2, 0x08, 0xF5, 
	0x87, 0xF0, 0x64, 0xB5, 0xF4, 0x3B, 0x25, 0xFA, 0x32, 0x0A, 0xDF, 0x80, 0x8E, 0x83, 0x67, 0x1A, 
	0xB2, 0x53, 0xF8, 0x8F, 0xE8, 0xAF, 0x24, 0x67, 0xEE, 0x4F, 0xD6, 0xC6, 0xFD, 0xAC, 0xA6, 0x56, 
	0x46, 0xC5, 0x5C, 0xEF, 0x22, 0x44, 0x7A, 0xA5, 0xE4, 0xE4, 0x4E, 0x8B, 0x0E, 0x89, 0xF2, 0x4B, 
	0x74, 0x7E, 0x5A, 0xA2, 0xBE, 0xF5, 0x6D, 0x66, 0x4F, 0xC3, 0xE8, 0xBC, 0xAF, 0x1B, 0x99, 0xCE, 
	0x13, 0xD1, 0x57, 0x29, 0xB4, 0x90, 0xD0, 0xC8, 0x3B, 0x1D, 0x31, 0x73, 0x76, 0x9C, 0x69, 0x23, 
	0x46, 0xAE, 0x89, 0xA8, 0x8C, 0xDE, 0xB2, 0xD0, 0xA7, 0xC4, 0xAA, 0xF9, 0xD2, 0x10, 0x0D, 0xD7, 
	0x9E, 0x65, 0xF0, 0xF7, 0x73, 0xC6, 0x6C, 0x5F, 0xD3, 0x32, 0x7C, 0x7A, 0x02, 0xC3, 0x56, 0x34, 
	0x5F, 0x72, 0x31, 0x1F, 0x9D, 0x84, 0x3F, 0x21, 0xCE, 0x55, 0x60, 0x06, 0x0E, 0x1F, 0xF9, 0x2F, 
	0x49, 0x09, 0x0F, 0x42, 0x91, 0xB1, 0x9D, 0xA5, 0x14, 0x28, 0xE3, 0x57, 0xBC, 0x1C, 0x4E, 0x7B, 
	0x31, 0xC0, 0x3D, 0xC5, 0xCC, 0xD9, 0xDF, 0xBC, 0xDF, 0x07, 0x19, 0x90, 0x72, 0x51, 0x35, 0x1D, 
	0x6D, 0xA8, 0xEC, 0x6B, 0xFC, 0xFF, 0x26, 0xDE, 0xA7, 0x47, 0x99, 0x06, 0x8F, 0x7E, 0x3F, 0xD4, 
	0xF1, 0xC8, 0x5D, 0xC3, 0xE0, 0x53, 0xBE, 0x4F, 0xFD, 0x92, 0x62, 0xE8, 0xC3, 0x31, 0xE1, 0x51, 
	0xB4, 0xEA, 0x71, 0x31, 0x9C, 0x26, 0x4F, 0x64, 0xDF, 0x45, 0x13, 0x6B, 0x8F, 0xFD, 0x68, 0x1E, 
	0xD8, 0x45, 0x23, 0x9B, 0x2C, 0xEC, 0xE3, 0x34, 0x45, 0xCF, 0xCA, 0xEB, 0x02, 0x71, 0x08, 0xD4, 
	0xD7, 0x8E, 0x7E, 0x89, 0x68, 0xFA, 0x9D, 0xAE, 0xA4, 0xF5, 0x91, 0x38, 0x90, 0xF3, 0x5C, 0x0E, 
	0xAE, 0x97, 0x87, 0x67, 0xCA, 0x63, 0xB6, 0xFD, 0xC3, 0x96, 0x55, 0x23, 0x95, 0x3E, 0x46, 0x64, 
	0xEB, 0x92, 0x60, 0x50, 0x12, 0x45, 0x45, 0xD1, 0x28, 0x66, 0xF1, 0x1D, 0x05, 0x2C, 0x21, 0x5E, 
	0x45, 0xD0, 0x99, 0xAB, 0x91, 0x75, 0xFB, 0x01, 0x2E, 0xD5, 0xC6, 0x8A, 0x7E, 0x4C, 0xD9, 0x57, 
	0x19, 0x9B, 0xA3, 0x8F, 0xC5, 0x81, 0xF0, 0xCD, 0x8A, 0x34, 0x23, 0x3E, 0xCC, 0x6D, 0x5A, 0xD9, 
	0x27, 0x99, 0xE9, 0xE7, 0xB4, 0x8F, 0x49, 0xB6, 0xF4, 0xF1, 0x7B, 0x59, 0xAC, 0x34, 0x97, 0xEF, 
	0x84, 0x03, 0x1D, 0xD0, 0x4A, 0x9C, 0x64, 0xD4, 0x59, 0x80, 0x4F, 0x9B, 0x80, 0x90, 0x38, 0xA8, 
	0x98, 0xA5, 0xE5, 0xCC, 0xB9, 0x55, 0xF9, 0x4E, 0xDA, 0x73, 0x5E, 0xF3, 0x59, 0xB5, 0xBC, 0xD8, 
	0xE1, 0x99, 0xF3, 0xE1, 0xBC, 0x86, 0x66, 0x56, 0x9E, 0xF2, 0xA4, 0xFE, 0x97, 0x06, 0xB7, 0xE7, 
	0xD0, 0x40, 0x66, 0xD0, 0x5C, 0x14, 0x41, 0xF8, 0x55, 0xA2, 0x43, 0xDF, 0x30, 0x33, 0xA1, 0x5B, 
	0x0F, 0x0C, 0x19, 0x1E, 0xA7, 0x00, 0xF0, 0xB5, 0x04, 0xD6, 0x89, 0xAD, 0x6A, 0x8F, 0x6E, 0x83, 
	0x39, 0x3F, 0x40, 0xA9, 0x9D, 0x08, 0xFE, 0xD4, 0x95, 0xA0, 0xC6, 0x84, 0xB8, 0x80, 0xFA, 0x8E, 
	0xD0, 0xB3, 0xA8, 0x2B, 0x52, 0x0B, 0x9D, 0xFB, 0x66, 0x4A, 0xAC, 0x10, 0x1D, 0x9B, 0x25, 0x09, 
	0x24, 0x83, 0x94, 0xF5, 0x2A, 0x3E, 0x7E, 0x8E, 0xDF, 0x56, 0xA3, 0x30, 0x5F, 0xEE, 0x35, 0xA7, 
	0x8E, 0x36, 0x14, 0xDA, 0xC1, 0x18, 0x20, 0x08, 0xE5, 0x2F, 0x4A, 0x2F, 0x11, 0xAE, 0x08, 0xF4, 
	0x49, 0xDF, 0x78, 0x3C, 0x06, 0x82, 0x6A, 0x5D, 0xD5, 0x48, 0x37, 0xBB, 0x3D, 0x50, 0x34, 0x5D, 
	0xE5, 0x6E, 0x4E, 0xC1, 0xB0, 0xD2, 0x21, 0x3D, 0x6E, 0x60, 0xC7, 0xC1, 0x72, 0xE8, 0x3C, 0xD0, 
	0x3B, 0x38, 0x2F, 0x35, 0x27, 0xBB, 0xC5, 0xDB, 0xEF, 0x4A, 0xA9, 0xE5, 0x7C, 0x7A, 0x9A, 0x06, 
	0x77, 0x9B, 0x61, 0xD3, 0xB3, 0x4C, 0xFB, 0xA1, 0x6E, 0x89, 0x8A, 0x55, 0x2C, 0x97, 0x56, 0x3D, 
	0xB3, 0x4B, 0x1F, 0xF7, 0x90, 0xCD, 0xA3, 0x1E, 0x47, 0xBE, 0x26, 0x56, 0x1F, 0x9A, 0x87, 0x0E, 
	0x5C, 0xD6, 0x3A, 0x19, 0x63, 0x18, 0x5E, 0x29, 0x37, 0xBC, 0xCE, 0xD8, 0x65, 0x8B, 0x0A, 0xD9, 
	0x6A, 0x7B, 0x71, 0xB3, 0x3E, 0xF1, 0x35, 0x1C, 0xA9, 0xF3, 0x2B, 0x03, 0xB0, 0x6E, 0x79, 0xF5, 
	0x4A, 0x7E, 0xCE, 0x79, 0x4E, 0x85, 0xCD, 0xBB, 0x61, 0x9D, 0xF1, 0xB3, 0x6E, 0xBB, 0x29, 0xB5, 
	0x0E, 0xB9, 0x09, 0x36, 0xFD, 0x2E, 0x66, 0x52, 0x95, 0xE0, 0xE9, 0x6E, 0x1D, 0x5E, 0xE9, 0x1B, 
	0x68, 0x1D, 0xC6, 0x3C, 0x31, 0x40, 0xAE, 0x27, 0x53, 0x00, 0x92, 0x4F, 0xD8, 0x7E, 0xE3, 0xDD, 
	0x9B, 0x83, 0x62, 0x5B, 0x1B, 0x91, 0x3E, 0x65, 0xC5, 0x6F, 0x66, 0x23, 0xEE, 0x25, 0xDF, 0x24, 
	0x79, 0x22, 0xA3, 0xE7, 0xCE, 0x2A, 0x6E, 0x49, 0xD7, 0x5C, 0x98, 0xC6, 0x41, 0x83, 0xFD, 0x52, 
	0x3D, 0x9B, 0xA7, 0x56, 0xAB, 0x57, 0xE1, 0x39, 0x76, 0x3B, 0xED, 0x86, 0xB7, 0x92, 0xAB, 0xC4, 
	0xED, 0x85, 0x09, 0xA5, 0x7B, 0x2C, 0x12, 0x35, 0x6B, 0x79, 0x1F, 0x4B, 0x21, 0x6D, 0x8A, 0x81, 
	0xA7, 0x12, 0x16, 0x8F, 0xDA, 0x48, 0xF0, 0xDF, 0xB0, 0x71, 0x14, 0xDC, 0x84, 0xAE, 0xAC, 0x63, 
	0x29, 0x44, 0xBE, 0x75, 0x5A, 0x87, 0x4A, 0x26, 0xE7, 0x6F, 0xE2, 0x8C, 0xB2, 0xCE, 0x6B, 0x36, 
	0x8E, 0xE9, 0xA7, 0x94, 0xB4, 0x0E, 0xD0, 0x6B, 0x56, 0x6B, 0x81, 0x54, 0xC1, 0x69, 0xDD, 0x06, 
	0x21, 0x73, 0xA7, 0xF8, 0xED, 0xEC, 0xF8, 0xBC, 0xB7, 0xE9, 0xD1, 0x37, 0xEA, 0x02, 0xC4, 0xB0, 
	0xE1, 0x70, 0xAC, 0x75, 0x6D, 0x5E, 0x21, 0xA6, 0xD2, 0x44, 0x56, 0x87, 0xF1, 0xBE, 0xA0, 0x7B, 
	0x32, 0x60, 0xE8, 0x9E, 0x8B, 0x8D, 0xE6, 0xCB, 0xD1, 0x5C, 0x00, 0x90, 0x3B, 0x4A, 0x43, 0x70, 
	0xF1, 0x44, 0xEA, 0xA6, 0x18, 0x64, 0x8E, 0x50, 0xD3, 0x95, 0xF1, 0xCB, 0x55, 0x02, 0x37, 0xD2, 
	0xF4, 0x26, 0x0F, 0xBA, 0x11, 0xFD, 0x28, 0xF4, 0x52, 0xBA, 0x25, 0xC4, 0x98, 0x2A, 0xFD, 0x00, 
	0xCE, 0xB5, 0x88, 0x55, 0x92, 0xCB, 0xD8, 0x79, 0x76, 0x39, 0x9F, 0x6B, 0x64, 0xDA, 0xE9, 0xC3, 
	} ;

